<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Servis ServiceType
 * @subpackage Services
 */
class Servis extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named servisTest
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ServisTest $parameters
     * @return \StructType\ServisTestResponse|bool
     */
    public function servisTest(\StructType\ServisTest $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->servisTest($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ServisTestResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
