<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sefereYukEkleV3 StructType
 * Meta information extracted from the WSDL
 * - type: tns:sefereYukEkleV3
 * @subpackage Structs
 */
class SefereYukEkleV3 extends AbstractStructBase
{
    /**
     * The wsuser
     * @var \StructType\UetdsYtsUser
     */
    public $wsuser;
    /**
     * The seferId
     * @var int
     */
    public $seferId;
    /**
     * The yukBilgileriInputList
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \StructType\UetdsEsyaYukBilgileriInputV3[]
     */
    public $yukBilgileriInputList;
    /**
     * Constructor method for sefereYukEkleV3
     * @uses SefereYukEkleV3::setWsuser()
     * @uses SefereYukEkleV3::setSeferId()
     * @uses SefereYukEkleV3::setYukBilgileriInputList()
     * @param \StructType\UetdsYtsUser $wsuser
     * @param int $seferId
     * @param \StructType\UetdsEsyaYukBilgileriInputV3[] $yukBilgileriInputList
     */
    public function __construct(\StructType\UetdsYtsUser $wsuser = null, $seferId = null, array $yukBilgileriInputList = array())
    {
        $this
            ->setWsuser($wsuser)
            ->setSeferId($seferId)
            ->setYukBilgileriInputList($yukBilgileriInputList);
    }
    /**
     * Get wsuser value
     * @return \StructType\UetdsYtsUser|null
     */
    public function getWsuser()
    {
        return $this->wsuser;
    }
    /**
     * Set wsuser value
     * @param \StructType\UetdsYtsUser $wsuser
     * @return \StructType\SefereYukEkleV3
     */
    public function setWsuser(\StructType\UetdsYtsUser $wsuser = null)
    {
        $this->wsuser = $wsuser;
        return $this;
    }
    /**
     * Get seferId value
     * @return int|null
     */
    public function getSeferId()
    {
        return $this->seferId;
    }
    /**
     * Set seferId value
     * @param int $seferId
     * @return \StructType\SefereYukEkleV3
     */
    public function setSeferId($seferId = null)
    {
        // validation for constraint: int
        if (!is_null($seferId) && !(is_int($seferId) || ctype_digit($seferId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($seferId, true), gettype($seferId)), __LINE__);
        }
        $this->seferId = $seferId;
        return $this;
    }
    /**
     * Get yukBilgileriInputList value
     * @return \StructType\UetdsEsyaYukBilgileriInputV3[]|null
     */
    public function getYukBilgileriInputList()
    {
        return $this->yukBilgileriInputList;
    }
    /**
     * This method is responsible for validating the values passed to the setYukBilgileriInputList method
     * This method is willingly generated in order to preserve the one-line inline validation within the setYukBilgileriInputList method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateYukBilgileriInputListForArrayConstraintsFromSetYukBilgileriInputList(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $sefereYukEkleV3YukBilgileriInputListItem) {
            // validation for constraint: itemType
            if (!$sefereYukEkleV3YukBilgileriInputListItem instanceof \StructType\UetdsEsyaYukBilgileriInputV3) {
                $invalidValues[] = is_object($sefereYukEkleV3YukBilgileriInputListItem) ? get_class($sefereYukEkleV3YukBilgileriInputListItem) : sprintf('%s(%s)', gettype($sefereYukEkleV3YukBilgileriInputListItem), var_export($sefereYukEkleV3YukBilgileriInputListItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The yukBilgileriInputList property can only contain items of type \StructType\UetdsEsyaYukBilgileriInputV3, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set yukBilgileriInputList value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsEsyaYukBilgileriInputV3[] $yukBilgileriInputList
     * @return \StructType\SefereYukEkleV3
     */
    public function setYukBilgileriInputList(array $yukBilgileriInputList = array())
    {
        // validation for constraint: array
        if ('' !== ($yukBilgileriInputListArrayErrorMessage = self::validateYukBilgileriInputListForArrayConstraintsFromSetYukBilgileriInputList($yukBilgileriInputList))) {
            throw new \InvalidArgumentException($yukBilgileriInputListArrayErrorMessage, __LINE__);
        }
        $this->yukBilgileriInputList = $yukBilgileriInputList;
        return $this;
    }
    /**
     * Add item to yukBilgileriInputList value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsEsyaYukBilgileriInputV3 $item
     * @return \StructType\SefereYukEkleV3
     */
    public function addToYukBilgileriInputList(\StructType\UetdsEsyaYukBilgileriInputV3 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsEsyaYukBilgileriInputV3) {
            throw new \InvalidArgumentException(sprintf('The yukBilgileriInputList property can only contain items of type \StructType\UetdsEsyaYukBilgileriInputV3, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->yukBilgileriInputList[] = $item;
        return $this;
    }
}
